#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	unsigned long long int n;
	cin>>n;
	int niz[20];
	int c;
	int b=0;
	while(n>0)
	{
		c=n%10;
		n=n/10;
		niz[b]=c;
		b++;
	}
	int p[10];
	for(int i=0;i<10;i++) p[i]=0;
	for(int i=0;i<b;i++)
	{
		p[niz[i]]++;
	}
	int max=-1;
	int poz;
	for(int i=0;i<10;i++)
	{
		if(p[i]>max)
		{
			max=p[i];
			poz=i;
		}
	}
	int index[20];
	int j=0;
	for(int i=0;i<b;i++)
	{
		if(niz[i]==poz)
		{
			index[j]=i;
			j++;
		}
	}
	int rez=0;
	for(int i=index[0];i<index[j-1];i++)
	{
		if(niz[i]!=poz) rez++;
	}
	cout<<rez;
	return 0;
}